# EvSagePay

## setupPayment - extras

### CreditCard
Provide the credit card details by the following fields under 'CreditCard' in the extras array provided to the setupPayment method.

* card_holder_name (This is split by spaces to get the first and last name)
* card_number
* start_month
* start_year
* expiry_month
* expiry_year
* security_number

start_month and start_year will be set to null if not provided.

### delivery
The delivery address is used by default as the billing address. The component will need to be overridden if you want to have a seperate billing address. The address needs to be provided in the following format under 'delivery' in the extras array. If using the address book plugin then the formatting is the same.

* Address - address1
* Address - address2
* Address - city
* Address - post_code

States are set to empty assuming UK sites won't need them. There isn't an option for county so it doesn't need to be passed in. Country defaults to UK.

### user
The user is used to set the email. Phone number is set to empty by default. Is standard Auth user structure. User needs to be provided in the following format under 'user'  in the extras array.

* User - email

## Troubleshooting